use Test::More tests => 2;
use strict;

use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::MailType::API::Object::MailType;

sub _testAddressFormat {
    my ($MailType, $Email, $Name) = @_;

    my $Formatted = $MailType->joinMailAddress($Name, $Email);
    if($Name) {
        # "Name" <email@address.tld>
        return $Formatted =~ /^"\Q$Name\E" \<\Q$Email\E\>$/ || diag $Formatted;
    }
    else {
        # email@address.tld
        return $Formatted =~ /^\Q$Email\E$/ || diag $Formatted;
    }

}

RunScript(
    Sub => sub {
        my $MailType = DE_EPAGES::MailType::API::Object::MailType->new();

        my $Email = 'ttester@epages.com';
        my $Name = 'Toni Tester';
        ok(_testAddressFormat($MailType, $Email, $Name), 'e-mail format with name');

        $Name = '';
        ok(_testAddressFormat($MailType, $Email, $Name), 'e-mail format without name');
    }
);
