package DE_EPAGES::WebService::t::HelloResource;
use base DE_EPAGES::Core::API::Test;

use strict;
use Test::More tests => 5;
use DE_EPAGES::WebService::Samples::Server::HelloResource;

sub test {
    my $Resource = DE_EPAGES::WebService::Samples::Server::HelloResource->new;

    my $hData = $Resource->get( 'TestID' );
    is( $hData, undef, 'empty collection' );

    $Resource->put( 'TestID', {
        FirstName => 'Paul',
        LastName => 'Johnson',
    });
    $hData = $Resource->get('TestID');
    is( $hData->{'FirstName'}, 'Paul', 'put+get' );

    $Resource->delete( 'TestID' );
    $hData = $Resource->get( 'TestID' );
    is( $hData, undef, 'delete' );

    my $NewID = $Resource->post({
        FirstName => 'Paula',
        LastName => 'Steward',
    });
    isnt( $NewID, undef, 'post returns id' );
    $hData = $Resource->get( $NewID );
    is( $hData->{'LastName'}, 'Steward', 'post' );
}

__PACKAGE__->runScript;
